package a.i.b.a.a;

import a.a.e;
import a.f.b.j;
import a.i.b.a.a.e.d;
import a.l;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.reflect.Field;

@l(dWo = {1, 1, 13}, dWp = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u0011\n\u0002\b\u0002\u0018\u00002\u00020\u0001B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0019\u0010\u0005\u001a\u00020\u00062\n\u0010\u0007\u001a\u0006\u0012\u0002\b\u00030\bH\u0016¢\u0006\u0002\u0010\t¨\u0006\n"}, dWq = {"Lkotlin/reflect/jvm/internal/calls/CallerImpl$FieldGetter$JvmStaticInObject;", "Lkotlin/reflect/jvm/internal/calls/CallerImpl$FieldGetter;", "field", "Ljava/lang/reflect/Field;", "(Ljava/lang/reflect/Field;)V", "checkArguments", "", "args", "", "([Ljava/lang/Object;)V", "kotlin-reflect-api"})
public final class e$d$d extends d {
    public e$d$d(Field field) {
        j.p(field, "field");
        super(field, true, (byte) 0);
        AppMethodBeat.i(118981);
        AppMethodBeat.o(118981);
    }

    public final void X(Object[] objArr) {
        AppMethodBeat.i(118980);
        j.p(objArr, "args");
        super.X(objArr);
        dz(e.M(objArr));
        AppMethodBeat.o(118980);
    }
}
